Bug 91777 - (IDE SIS ?)Kernel panic with RH9
(IDE SIS ?)Kernel panic with RH9
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-27 20:21 EDT by ianus
Modified: 2007-04-18 12:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ianus 2003-05-27 20:21:08 EDT
Description of problem:
-----------------------
Kernel panic after several hours of running the system. Load < 1.

System data:
------------
cpu: AMD Duron 1200
ram: 512 MB pci2700 DDR
mb : epox ep-8k9a3+
lan: onboard sis900 and 3com 3c905cx-tx-m (occurs with both)
ide-controller: 2x CMD Technology Inc PCI0649 (rev 02) (occurs also without)


Version-Release number of selected component (if applicable):
-------------------------------------------------------------
kernel-2.4.20-9

How reproducible:
-----------------
There is no specific steps to reproduce this. All I have to do is running the
system for a few hours (sometimes days) until it occurs.

    
Actual results:
---------------
Code: 8b 5f 24 85 db 7e 21 8d 74 26 00 8b 47 38 29 c3 8b 86 ac 00
Kernel Panic: Aiee, killing interrupt handler!
In interrupt handler - not syncing


Additional info:
----------------
I tried to replace all hardware: cpu, ram, motherboard, hard disks,
ide-controller, cables, network card. When running with rh7.3 this kernel panic
didn't occur, the system just frozen up with no error message on screen. 

The system is running sshd, httpd, ftpd and smbd. Sometimes copying a file and
cmp-ing it with its original brings differences. I am not sure this is relevant.
I also happen to have a box with nearly the same configuration
(cpu/ram/board/hdd) running stable for months.
Comment 1 Arjan van de Ven 2003-05-28 04:15:54 EDT
the interesting bit of the panic is just above the things you quoted ;(
the hex numbers are the least interesting, it's the function names in the
backtrace that are most relevant. 
Comment 2 ianus 2003-05-28 05:20:16 EDT
I didnt't write down everything but at least:
Process swapper (pid: 0, stackpage=c0343000)
stack...
call trace [<c01c9af0>] ide_dma_intr[kernel] 0x0 (0xc0343ef8))

ide_timer_expiry [kernel]
mem_timer_list [kernel]
bh_action [kernel]
tasklet_hi_action [kernel]
do_softirq [kernel]
do_IRQ [kernel]
default_idle [kernel]
apm_cpu_idle [kernel]
cpu_idle [kernel]
stext [kernel]
Comment 3 ianus 2003-05-29 10:48:55 EDT
here the complete kernel panic:

Process swapper(pid: 0, stackpage=c0343000).
stack: 0000b807 c03bfed0 00000016 00000012 c03bfed0 c1ad1580 c01c9af0 c01c29bc
c03bfed0 c03bfed0 00000001 00000286 c1ad15a4 c01c2918 fffffffe 00000046
c012502b c1ad1580 c03ae794 c03ae794 00000000 c0365700 fffffffe 00000046
call trace:
[<c01c9af0>] ide_dma_intr[Kernel] 0x0 (0xco343ef8))
[<c01c29bc>] ide_timer_expiry[Kernel] 0xa4 (0xc0343efc))
[<c01c2918>] ide_timer_expiry[Kernel] 0x0 (0xc0343f14))
[<c012502b>] mem_timer_list[Kernel] 0xff (0xc0343f20))
[<c0120ae2>] bh_action[Kernel] 0x22 (0xc0343f40))
[<co120ade>] tasklet_hi_action[Kernel] 0x3e (0xc0343f44))
[<c0120875>] do_softirq[Kernel] 0x95 (0xc0343f50))
[<c010a9ae>] do_IRQ[Kernel] 0xb2 (0xc0343f68))
[<co11512c>] apm_cpu_idle[Kernel] 0xa4 (0xc0343fc8))
[<co115088>] apm_cpu_idle[Kernel] 0x0 (0xc0343fc4))
[<c0106fd0>] default_idle[Kernel] 0x0 (0xc0343fd0))
[<c0107072>] cpu_idle[Kernel] 0x46 (0xc0343fd4))
[<c0105000>] stext[Kernel] 0x0 (0xc0343fe0))

Code: 8b 5f 24 85 db 7e 21 8d 74 26 00 8b 47 38 29 c3 8b 86 ac 00
<0> Kernel panic: Aiee, killing interrupt handler!
in interrupt handler - not syncing
Comment 4 Bugzilla owner 2004-09-30 11:41:00 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.